using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public static class App
    {
        //private const int standartTiming = (int)EnumProviderTryTiming.StandartTry;

        public static void AppStart(string url, int repeatingTime = 0)
        {
            HandlerProvider.AppHandler.AppStart(url, repeatingTime);
        }
        public static void AppClose(int repeatingTime = 0)
        {
            HandlerProvider.AppHandler.AppClose(repeatingTime);
        }
        public static void AppAttachNewWindow(string newWin, int repeatingTime = 0)
        {
            HandlerProvider.AppHandler.AppAttachNewWindow(newWin, repeatingTime);
        }
        public static void AppAttachNewWindow(string newWin,string processWindowName, int repeatingTime = 0)
        {
            HandlerProvider.AppHandler.AppAttachNewWindow(newWin, processWindowName, repeatingTime);
        }
        public static void AppAttachNewWindow(int repeatingTime = 0)
        {
            HandlerProvider.AppHandler.AppAttachNewWindow(repeatingTime);
        }
        public static void FindNewWindow(int repeatingTime = 0)
        {
            HandlerProvider.AppHandler.FindNewWindow(repeatingTime);
        }
        public static void SetForeground()
        {
            HandlerProvider.AppHandler.SetForeground();
        }
        public static void AppKill()
        {
            HandlerProvider.AppHandler.AppKill();
        }
    }
}
